Intellij doesn't start

Highlighted
Four Stars

Intellij doesn't start

Hello,

I tried to use the Talend Component Kit Module (with Intellij) but all the times after the menu "New Project" when i click on "Next", it freeze !

I tried different JDK version (1.8, 1.11, 1.12 from Oracle) and the same result.

Did I miss something ? Someone experienced the same way ?

Thks

NB : I post on Talend because, when I tried to start a new project with a "classic" module (like Maven), i can open Intellij an start to code.


Accepted Solutions
Highlighted
Employee

Re: Intellij doesn't start

Yes, seems we got an error during the release, it will be on https://plugins.jetbrains.com/plugin/10558-talend-component-kit/versions very soon, in the meantime you can grab it on central at http://repo.maven.apache.org/maven2/org/talend/sdk/component/talend-component-kit-intellij-plugin/1.....

 

Romain
Talend Component Kit Documentation: https://talend.github.io/component-runtime/

View solution in original post


All Replies
Highlighted
Employee

Re: Intellij doesn't start

Hello @babasss,

Can you try with the plugin v1.1.10?
We fixed it normally in last release.
Romain
Talend Component Kit Documentation: https://talend.github.io/component-runtime/
Highlighted
Four Stars

Re: Intellij doesn't start

Thanks for your answer, but where I can find the 1.1.10 (because on Intellij market place, there is only the 1.1.7 available) ?

Highlighted
Employee

Re: Intellij doesn't start

Yes, seems we got an error during the release, it will be on https://plugins.jetbrains.com/plugin/10558-talend-component-kit/versions very soon, in the meantime you can grab it on central at http://repo.maven.apache.org/maven2/org/talend/sdk/component/talend-component-kit-intellij-plugin/1.....

 

Romain
Talend Component Kit Documentation: https://talend.github.io/component-runtime/

View solution in original post

Highlighted
Four Stars

Re: Intellij doesn't start

Thanks, Intellij starts now :-)

Highlighted
Five Stars

Re: Intellij doesn't start

I am getting same error. could you please let me know which version of Talend Component Kit Module is compatible with intellij -2019.1.4 version. 

Highlighted
Employee

Re: Intellij doesn't start

Hi @abhinav ,

 

did you install v 1.1.12.0 available in idea or https://plugins.jetbrains.com/plugin/10558-talend-component-kit/versions ?

 

 

Romain
Talend Component Kit Documentation: https://talend.github.io/component-runtime/
Highlighted
Five Stars

Re: Intellij doesn't start

yes, I have install latest version v 1.1.12.0,but didn't work for me. getting below error message -

java.lang.IllegalStateException: The DialogWrapper can only be used in event dispatch thread. Current thread: Thread[ApplicationImpl pooled thread 38,4,Idea Thread Group]
at com.intellij.openapi.ui.DialogWrapper.ensureEventDispatchThread(DialogWrapper.java:2104)
at com.intellij.openapi.ui.DialogWrapper.init(DialogWrapper.java:1247)

Highlighted
Employee

Re: Intellij doesn't start

Hello @abhinav 

When are you getting this exception exactly ? do you still have the full stacktrace ?

 

Thanks

--
Don't forget to give kudos when a reply is helpful and click Accept the solution when you think you're good with it.

2019 GARTNER MAGIC QUADRANT FOR DATA INTEGRATION TOOL

Talend named a Leader.

Get your copy

OPEN STUDIO FOR DATA INTEGRATION

Kickstart your first data integration and ETL projects.

Download now

6 Ways to Start Utilizing Machine Learning with Amazon We Services and Talend

Look at6 ways to start utilizing Machine Learning with Amazon We Services and Talend

Blog

Downloads and Trials

Test drive Talend's enterprise products.

Downloads